org.wso2.carbon.module.mgt.stub

## Class ModuleAdminServiceStub

- java.lang.Object
- - org.apache.axis2.client.Stub
  - - org.wso2.carbon.module.mgt.stub.ModuleAdminServiceStub

- All Implemented Interfaces:
    ModuleAdminService

      public class ModuleAdminServiceStub
      extends org.apache.axis2.client.Stub
      implements ModuleAdminService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.axis2.description.AxisOperation[]` | `_operations`

    - ### Fields inherited from class org.apache.axis2.client.Stub

      `_service, _serviceClient, modules`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuleAdminServiceStub()` Default Constructor
    `ModuleAdminServiceStub(org.apache.axis2.context.ConfigurationContext configurationContext)` Default Constructor
    `ModuleAdminServiceStub(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint)` Constructor that takes in a configContext
    `ModuleAdminServiceStub(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint, boolean useSeparateListener)` Constructor that takes in a configContext and useseperate listner
    `ModuleAdminServiceStub(String targetEndpoint)` Constructor taking the target endpoint

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `disengageModuleForOperation(String moduleId148, String serviceName149, String operationName150)` Auto generated method signature
    `boolean` | `disengageModuleForService(String moduleId194, String serviceName195)` Auto generated method signature
    `boolean` | `disengageModuleForServiceGroup(String moduleId213, String serviceGroupName214)` Auto generated method signature
    `boolean` | `disengageModuleFromSystem(String moduleId181)` Auto generated method signature
    `boolean` | `engageModuleForOperation(String moduleId199, String serviceName200, String operationName201)` Auto generated method signature
    `boolean` | `engageModuleForService(String moduleId143, String serviceName144)` Auto generated method signature
    `boolean` | `engageModuleForServiceGroup(String moduleID133, String serviceGroupName134)` Auto generated method signature
    `ModuleMetaData` | `getModuleInfo(String moduleName138, String moduleVersion139)` Auto generated method signature
    `String[]` | `getModuleParameters(String moduleName185, String moduleVersion186)` Auto generated method signature
    `boolean` | `globallyDisengageModule(String moduleId177)` Auto generated method signature
    `boolean` | `globallyEngageModule(String moduleId173)` Auto generated method signature
    `ModuleMetaData[]` | `listGloballyEngagedModules()` Auto generated method signature
    `ModuleMetaData[]` | `listModules()` Auto generated method signature
    `ModuleMetaData[]` | `listModulesForOperation(String serviceName164, String operationName165)` Auto generated method signature
    `ModuleMetaData[]` | `listModulesForService(String serviceName169)` Auto generated method signature
    `ModuleMetaData[]` | `listModulesForServiceGroup(String serviceGroupName190)` Auto generated method signature
    `String` | `removeModule(String moduleId154)` Auto generated method signature
    `String` | `removeModuleParameter(String moduleName218, String moduleVersion219, String parameterName220)` Auto generated method signature
    `void` | `setModuleParameters(String moduleName209, String moduleVersion210, String[] parameters211)` Auto generated method signature
    `void` | `startdisengageModuleForOperation(String moduleId148, String serviceName149, String operationName150, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdisengageModuleForService(String moduleId194, String serviceName195, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdisengageModuleForServiceGroup(String moduleId213, String serviceGroupName214, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdisengageModuleFromSystem(String moduleId181, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startengageModuleForOperation(String moduleId199, String serviceName200, String operationName201, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startengageModuleForService(String moduleId143, String serviceName144, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startengageModuleForServiceGroup(String moduleID133, String serviceGroupName134, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetModuleInfo(String moduleName138, String moduleVersion139, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetModuleParameters(String moduleName185, String moduleVersion186, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgloballyDisengageModule(String moduleId177, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgloballyEngageModule(String moduleId173, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startlistGloballyEngagedModules(ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startlistModules(ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startlistModulesForOperation(String serviceName164, String operationName165, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startlistModulesForService(String serviceName169, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startlistModulesForServiceGroup(String serviceGroupName190, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startremoveModule(String moduleId154, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startremoveModuleParameter(String moduleName218, String moduleVersion219, String parameterName220, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startuploadModule(ModuleUploadData[] moduleUploadData205, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `String` | `uploadModule(ModuleUploadData[] moduleUploadData205)` Auto generated method signature

    - ### Methods inherited from class org.apache.axis2.client.Stub

      `_getServiceClient, _setServiceClient, addAnonymousOperations, addHeader, addHeader, addHttpHeader, addPropertyToOperationClient, addPropertyToOperationClient, addPropertyToOperationClient, cleanup, createEnvelope, finalize, getFactory, setMustUnderstand, setServiceClientEPR`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _operations

          protected org.apache.axis2.description.AxisOperation[] _operations

  - ### Constructor Detail

    - #### ModuleAdminServiceStub

          public ModuleAdminServiceStub(org.apache.axis2.context.ConfigurationContext configurationContext,
                                        String targetEndpoint)
                                 throws org.apache.axis2.AxisFault

      Constructor that takes in a configContext
      Throws:
        `org.apache.axis2.AxisFault`

    - #### ModuleAdminServiceStub

          public ModuleAdminServiceStub(org.apache.axis2.context.ConfigurationContext configurationContext,
                                        String targetEndpoint,
                                        boolean useSeparateListener)
                                 throws org.apache.axis2.AxisFault

      Constructor that takes in a configContext and useseperate listner
      Throws:
        `org.apache.axis2.AxisFault`

    - #### ModuleAdminServiceStub

          public ModuleAdminServiceStub(org.apache.axis2.context.ConfigurationContext configurationContext)
                                 throws org.apache.axis2.AxisFault

      Default Constructor
      Throws:
        `org.apache.axis2.AxisFault`

    - #### ModuleAdminServiceStub

          public ModuleAdminServiceStub()
                                 throws org.apache.axis2.AxisFault

      Default Constructor
      Throws:
        `org.apache.axis2.AxisFault`

    - #### ModuleAdminServiceStub

          public ModuleAdminServiceStub(String targetEndpoint)
                                 throws org.apache.axis2.AxisFault

      Constructor taking the target endpoint
      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### engageModuleForServiceGroup

          public boolean engageModuleForServiceGroup(String moduleID133,
                                                     String serviceGroupName134)
                                              throws RemoteException,
                                                     ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Specified by:
        `engageModuleForServiceGroup` in interface `ModuleAdminService`
      Parameters:
        `engageModuleForServiceGroup132` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`
      See Also:
        `ModuleAdminService.engageModuleForServiceGroup(java.lang.String, java.lang.String)`

    - #### startengageModuleForServiceGroup

          public void startengageModuleForServiceGroup(String moduleID133,
                                                       String serviceGroupName134,
                                                       ModuleAdminServiceCallbackHandler callback)
                                                throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startengageModuleForServiceGroup` in interface `ModuleAdminService`
      Parameters:
        `engageModuleForServiceGroup132` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.startengageModuleForServiceGroup(java.lang.String, java.lang.String, org.wso2.carbon.module.mgt.stub.ModuleAdminServiceCallbackHandler)`

    - #### getModuleInfo

          public ModuleMetaData getModuleInfo(String moduleName138,
                                              String moduleVersion139)
                                       throws RemoteException,
                                              ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Specified by:
        `getModuleInfo` in interface `ModuleAdminService`
      Parameters:
        `getModuleInfo137` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`
      See Also:
        `ModuleAdminService.getModuleInfo(java.lang.String, java.lang.String)`

    - #### startgetModuleInfo

          public void startgetModuleInfo(String moduleName138,
                                         String moduleVersion139,
                                         ModuleAdminServiceCallbackHandler callback)
                                  throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetModuleInfo` in interface `ModuleAdminService`
      Parameters:
        `getModuleInfo137` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.startgetModuleInfo(java.lang.String, java.lang.String, org.wso2.carbon.module.mgt.stub.ModuleAdminServiceCallbackHandler)`

    - #### engageModuleForService

          public boolean engageModuleForService(String moduleId143,
                                                String serviceName144)
                                         throws RemoteException,
                                                ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Specified by:
        `engageModuleForService` in interface `ModuleAdminService`
      Parameters:
        `engageModuleForService142` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`
      See Also:
        `ModuleAdminService.engageModuleForService(java.lang.String, java.lang.String)`

    - #### startengageModuleForService

          public void startengageModuleForService(String moduleId143,
                                                  String serviceName144,
                                                  ModuleAdminServiceCallbackHandler callback)
                                           throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startengageModuleForService` in interface `ModuleAdminService`
      Parameters:
        `engageModuleForService142` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.startengageModuleForService(java.lang.String, java.lang.String, org.wso2.carbon.module.mgt.stub.ModuleAdminServiceCallbackHandler)`

    - #### disengageModuleForOperation

          public boolean disengageModuleForOperation(String moduleId148,
                                                     String serviceName149,
                                                     String operationName150)
                                              throws RemoteException,
                                                     ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Specified by:
        `disengageModuleForOperation` in interface `ModuleAdminService`
      Parameters:
        `disengageModuleForOperation147` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`
      See Also:
        `ModuleAdminService.disengageModuleForOperation(java.lang.String, java.lang.String, java.lang.String)`

    - #### startdisengageModuleForOperation

          public void startdisengageModuleForOperation(String moduleId148,
                                                       String serviceName149,
                                                       String operationName150,
                                                       ModuleAdminServiceCallbackHandler callback)
                                                throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startdisengageModuleForOperation` in interface `ModuleAdminService`
      Parameters:
        `disengageModuleForOperation147` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.startdisengageModuleForOperation(java.lang.String, java.lang.String, java.lang.String, org.wso2.carbon.module.mgt.stub.ModuleAdminServiceCallbackHandler)`

    - #### removeModule

          public String removeModule(String moduleId154)
                              throws RemoteException,
                                     ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Specified by:
        `removeModule` in interface `ModuleAdminService`
      Parameters:
        `removeModule153` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`
      See Also:
        `ModuleAdminService.removeModule(java.lang.String)`

    - #### startremoveModule

          public void startremoveModule(String moduleId154,
                                        ModuleAdminServiceCallbackHandler callback)
                                 throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startremoveModule` in interface `ModuleAdminService`
      Parameters:
        `removeModule153` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.startremoveModule(java.lang.String, org.wso2.carbon.module.mgt.stub.ModuleAdminServiceCallbackHandler)`

    - #### listModules

          public ModuleMetaData[] listModules()
                                       throws RemoteException

      Auto generated method signature
      Specified by:
        `listModules` in interface `ModuleAdminService`
      Parameters:
        `listModules157` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.listModules()`

    - #### startlistModules

          public void startlistModules(ModuleAdminServiceCallbackHandler callback)
                                throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startlistModules` in interface `ModuleAdminService`
      Parameters:
        `listModules157` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.startlistModules(org.wso2.carbon.module.mgt.stub.ModuleAdminServiceCallbackHandler)`

    - #### listGloballyEngagedModules

          public ModuleMetaData[] listGloballyEngagedModules()
                                                      throws RemoteException

      Auto generated method signature
      Specified by:
        `listGloballyEngagedModules` in interface `ModuleAdminService`
      Parameters:
        `listGloballyEngagedModules160` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.listGloballyEngagedModules()`

    - #### startlistGloballyEngagedModules

          public void startlistGloballyEngagedModules(ModuleAdminServiceCallbackHandler callback)
                                               throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startlistGloballyEngagedModules` in interface `ModuleAdminService`
      Parameters:
        `listGloballyEngagedModules160` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.startlistGloballyEngagedModules(org.wso2.carbon.module.mgt.stub.ModuleAdminServiceCallbackHandler)`

    - #### listModulesForOperation

          public ModuleMetaData[] listModulesForOperation(String serviceName164,
                                                          String operationName165)
                                                   throws RemoteException,
                                                          ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Specified by:
        `listModulesForOperation` in interface `ModuleAdminService`
      Parameters:
        `listModulesForOperation163` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`
      See Also:
        `ModuleAdminService.listModulesForOperation(java.lang.String, java.lang.String)`

    - #### startlistModulesForOperation

          public void startlistModulesForOperation(String serviceName164,
                                                   String operationName165,
                                                   ModuleAdminServiceCallbackHandler callback)
                                            throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startlistModulesForOperation` in interface `ModuleAdminService`
      Parameters:
        `listModulesForOperation163` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.startlistModulesForOperation(java.lang.String, java.lang.String, org.wso2.carbon.module.mgt.stub.ModuleAdminServiceCallbackHandler)`

    - #### listModulesForService

          public ModuleMetaData[] listModulesForService(String serviceName169)
                                                 throws RemoteException,
                                                        ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Specified by:
        `listModulesForService` in interface `ModuleAdminService`
      Parameters:
        `listModulesForService168` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`
      See Also:
        `ModuleAdminService.listModulesForService(java.lang.String)`

    - #### startlistModulesForService

          public void startlistModulesForService(String serviceName169,
                                                 ModuleAdminServiceCallbackHandler callback)
                                          throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startlistModulesForService` in interface `ModuleAdminService`
      Parameters:
        `listModulesForService168` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.startlistModulesForService(java.lang.String, org.wso2.carbon.module.mgt.stub.ModuleAdminServiceCallbackHandler)`

    - #### globallyEngageModule

          public boolean globallyEngageModule(String moduleId173)
                                       throws RemoteException,
                                              ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Specified by:
        `globallyEngageModule` in interface `ModuleAdminService`
      Parameters:
        `globallyEngageModule172` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`
      See Also:
        `ModuleAdminService.globallyEngageModule(java.lang.String)`

    - #### startgloballyEngageModule

          public void startgloballyEngageModule(String moduleId173,
                                                ModuleAdminServiceCallbackHandler callback)
                                         throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgloballyEngageModule` in interface `ModuleAdminService`
      Parameters:
        `globallyEngageModule172` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.startgloballyEngageModule(java.lang.String, org.wso2.carbon.module.mgt.stub.ModuleAdminServiceCallbackHandler)`

    - #### globallyDisengageModule

          public boolean globallyDisengageModule(String moduleId177)
                                          throws RemoteException,
                                                 ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Specified by:
        `globallyDisengageModule` in interface `ModuleAdminService`
      Parameters:
        `globallyDisengageModule176` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`
      See Also:
        `ModuleAdminService.globallyDisengageModule(java.lang.String)`

    - #### startgloballyDisengageModule

          public void startgloballyDisengageModule(String moduleId177,
                                                   ModuleAdminServiceCallbackHandler callback)
                                            throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgloballyDisengageModule` in interface `ModuleAdminService`
      Parameters:
        `globallyDisengageModule176` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.startgloballyDisengageModule(java.lang.String, org.wso2.carbon.module.mgt.stub.ModuleAdminServiceCallbackHandler)`

    - #### disengageModuleFromSystem

          public boolean disengageModuleFromSystem(String moduleId181)
                                            throws RemoteException,
                                                   ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Specified by:
        `disengageModuleFromSystem` in interface `ModuleAdminService`
      Parameters:
        `disengageModuleFromSystem180` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`
      See Also:
        `ModuleAdminService.disengageModuleFromSystem(java.lang.String)`

    - #### startdisengageModuleFromSystem

          public void startdisengageModuleFromSystem(String moduleId181,
                                                     ModuleAdminServiceCallbackHandler callback)
                                              throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startdisengageModuleFromSystem` in interface `ModuleAdminService`
      Parameters:
        `disengageModuleFromSystem180` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.startdisengageModuleFromSystem(java.lang.String, org.wso2.carbon.module.mgt.stub.ModuleAdminServiceCallbackHandler)`

    - #### getModuleParameters

          public String[] getModuleParameters(String moduleName185,
                                              String moduleVersion186)
                                       throws RemoteException,
                                              ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Specified by:
        `getModuleParameters` in interface `ModuleAdminService`
      Parameters:
        `getModuleParameters184` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`
      See Also:
        `ModuleAdminService.getModuleParameters(java.lang.String, java.lang.String)`

    - #### startgetModuleParameters

          public void startgetModuleParameters(String moduleName185,
                                               String moduleVersion186,
                                               ModuleAdminServiceCallbackHandler callback)
                                        throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetModuleParameters` in interface `ModuleAdminService`
      Parameters:
        `getModuleParameters184` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.startgetModuleParameters(java.lang.String, java.lang.String, org.wso2.carbon.module.mgt.stub.ModuleAdminServiceCallbackHandler)`

    - #### listModulesForServiceGroup

          public ModuleMetaData[] listModulesForServiceGroup(String serviceGroupName190)
                                                      throws RemoteException,
                                                             ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Specified by:
        `listModulesForServiceGroup` in interface `ModuleAdminService`
      Parameters:
        `listModulesForServiceGroup189` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`
      See Also:
        `ModuleAdminService.listModulesForServiceGroup(java.lang.String)`

    - #### startlistModulesForServiceGroup

          public void startlistModulesForServiceGroup(String serviceGroupName190,
                                                      ModuleAdminServiceCallbackHandler callback)
                                               throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startlistModulesForServiceGroup` in interface `ModuleAdminService`
      Parameters:
        `listModulesForServiceGroup189` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.startlistModulesForServiceGroup(java.lang.String, org.wso2.carbon.module.mgt.stub.ModuleAdminServiceCallbackHandler)`

    - #### disengageModuleForService

          public boolean disengageModuleForService(String moduleId194,
                                                   String serviceName195)
                                            throws RemoteException,
                                                   ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Specified by:
        `disengageModuleForService` in interface `ModuleAdminService`
      Parameters:
        `disengageModuleForService193` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`
      See Also:
        `ModuleAdminService.disengageModuleForService(java.lang.String, java.lang.String)`

    - #### startdisengageModuleForService

          public void startdisengageModuleForService(String moduleId194,
                                                     String serviceName195,
                                                     ModuleAdminServiceCallbackHandler callback)
                                              throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startdisengageModuleForService` in interface `ModuleAdminService`
      Parameters:
        `disengageModuleForService193` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.startdisengageModuleForService(java.lang.String, java.lang.String, org.wso2.carbon.module.mgt.stub.ModuleAdminServiceCallbackHandler)`

    - #### engageModuleForOperation

          public boolean engageModuleForOperation(String moduleId199,
                                                  String serviceName200,
                                                  String operationName201)
                                           throws RemoteException,
                                                  ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Specified by:
        `engageModuleForOperation` in interface `ModuleAdminService`
      Parameters:
        `engageModuleForOperation198` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`
      See Also:
        `ModuleAdminService.engageModuleForOperation(java.lang.String, java.lang.String, java.lang.String)`

    - #### startengageModuleForOperation

          public void startengageModuleForOperation(String moduleId199,
                                                    String serviceName200,
                                                    String operationName201,
                                                    ModuleAdminServiceCallbackHandler callback)
                                             throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startengageModuleForOperation` in interface `ModuleAdminService`
      Parameters:
        `engageModuleForOperation198` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.startengageModuleForOperation(java.lang.String, java.lang.String, java.lang.String, org.wso2.carbon.module.mgt.stub.ModuleAdminServiceCallbackHandler)`

    - #### uploadModule

          public String uploadModule(ModuleUploadData[] moduleUploadData205)
                              throws RemoteException

      Auto generated method signature
      Specified by:
        `uploadModule` in interface `ModuleAdminService`
      Parameters:
        `uploadModule204` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.uploadModule(org.wso2.carbon.module.mgt.stub.types.ModuleUploadData[])`

    - #### startuploadModule

          public void startuploadModule(ModuleUploadData[] moduleUploadData205,
                                        ModuleAdminServiceCallbackHandler callback)
                                 throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startuploadModule` in interface `ModuleAdminService`
      Parameters:
        `uploadModule204` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.startuploadModule(org.wso2.carbon.module.mgt.stub.types.ModuleUploadData[], org.wso2.carbon.module.mgt.stub.ModuleAdminServiceCallbackHandler)`

    - #### setModuleParameters

          public void setModuleParameters(String moduleName209,
                                          String moduleVersion210,
                                          String[] parameters211)
                                   throws RemoteException,
                                          ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Specified by:
        `setModuleParameters` in interface `ModuleAdminService`
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`

    - #### disengageModuleForServiceGroup

          public boolean disengageModuleForServiceGroup(String moduleId213,
                                                        String serviceGroupName214)
                                                 throws RemoteException,
                                                        ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Specified by:
        `disengageModuleForServiceGroup` in interface `ModuleAdminService`
      Parameters:
        `disengageModuleForServiceGroup212` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`
      See Also:
        `ModuleAdminService.disengageModuleForServiceGroup(java.lang.String, java.lang.String)`

    - #### startdisengageModuleForServiceGroup

          public void startdisengageModuleForServiceGroup(String moduleId213,
                                                          String serviceGroupName214,
                                                          ModuleAdminServiceCallbackHandler callback)
                                                   throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startdisengageModuleForServiceGroup` in interface `ModuleAdminService`
      Parameters:
        `disengageModuleForServiceGroup212` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.startdisengageModuleForServiceGroup(java.lang.String, java.lang.String, org.wso2.carbon.module.mgt.stub.ModuleAdminServiceCallbackHandler)`

    - #### removeModuleParameter

          public String removeModuleParameter(String moduleName218,
                                              String moduleVersion219,
                                              String parameterName220)
                                       throws RemoteException,
                                              ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Specified by:
        `removeModuleParameter` in interface `ModuleAdminService`
      Parameters:
        `removeModuleParameter217` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`
      See Also:
        `ModuleAdminService.removeModuleParameter(java.lang.String, java.lang.String, java.lang.String)`

    - #### startremoveModuleParameter

          public void startremoveModuleParameter(String moduleName218,
                                                 String moduleVersion219,
                                                 String parameterName220,
                                                 ModuleAdminServiceCallbackHandler callback)
                                          throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startremoveModuleParameter` in interface `ModuleAdminService`
      Parameters:
        `removeModuleParameter217` -
      Throws:
        `RemoteException`
      See Also:
        `ModuleAdminService.startremoveModuleParameter(java.lang.String, java.lang.String, java.lang.String, org.wso2.carbon.module.mgt.stub.ModuleAdminServiceCallbackHandler)`

Copyright © 2022 WSO2. All rights reserved.